Loading...
Searching...
No Matches
ConnectionProvider::ConnectionOptionInfo Struct Reference

Connection option information. More...

`#include <ConnectionSchemeCache.qc.dox.h>`

## Public Attributes

*softlist< hash< Util::AllowedValueInfo > > | allowed_values
| List of allowed values (enum)
*bool | allowed_values_creatable
| Does the option accept values not defined in allowed_values too?
auto | default_value
| Any default value.
string | desc
| Description with markdown formatting.
string | display_name
| Option display name.
*softlist< hash< Util::AllowedValueInfo > > | element_allowed_values
| List of allowed values for elements of list types (enum)
*bool | element_allowed_values_creatable
| Does the option accept element values not defined in element_allowed_values too?
auto | example_value
| Optional example option value.
bool | freeform = False
| Modifier for the "file-as-string" type; can a freeform location option be returned?
bool | multiselect
| Are allowed values elements of the list's element type that indicate what values the list can have?
bool | sensitive = False
| Is the value sensitive? (password or other authentication info)
string | short_desc
| Option short description in plain text.
bool | subst_env_vars = False
| Do environment variable substitution on the value?
string | type
| Option value type.

## Detailed Description

Connection option information.